package prodSim.management;

import java.io.File;
import java.util.Map;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.emf.ecore.resource.ResourceSet;
import org.eclipse.emf.ecore.resource.impl.ResourceSetImpl;
import org.eclipse.emf.ecore.xmi.impl.XMIResourceFactoryImpl;

import prodSim.ProdSimPackage;

public class ModelDeserializer {

	private ResourceSet resourceSet;

	public ModelDeserializer() {
		// register XMI resource factory for .fsa extension
		Resource.Factory.Registry reg = Resource.Factory.Registry.INSTANCE;
		Map<String, Object> m = reg.getExtensionToFactoryMap();
		m.put("xmi", new XMIResourceFactoryImpl());
		
		// create a new resource set
		resourceSet = new ResourceSetImpl();
		
		// register FSA metamodel
		// only required in the development Eclipse instance
		resourceSet.getPackageRegistry().put(ProdSimPackage.eINSTANCE.getNsURI(), ProdSimPackage.eINSTANCE);
	}

	public EObject loadModel(String uri) {
		// create file URI, always use File.getAbsolutePath()
		URI fileUri = URI.createFileURI(new File(uri).getAbsolutePath());
		// create resource
		Resource resource = resourceSet.getResource(fileUri, true);
		// retrieve first EObject in the resource
		return resource.getContents().get(0);
	}

}
