package prodSim.management;

import java.io.File;
import java.io.IOException;
import java.util.Collections;
import java.util.Map;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.emf.ecore.resource.ResourceSet;
import org.eclipse.emf.ecore.resource.impl.ResourceSetImpl;
import org.eclipse.emf.ecore.xmi.impl.XMIResourceFactoryImpl;

public class ModelSerializer {

	private ResourceSet resourceSet;

	public ModelSerializer() {
		// register XMI resource factory for .fsa extension
		Resource.Factory.Registry reg = Resource.Factory.Registry.INSTANCE;
		Map<String, Object> m = reg.getExtensionToFactoryMap();
		m.put("xmi", new XMIResourceFactoryImpl());
		
		// create a new resource set
		resourceSet = new ResourceSetImpl();
	}

	public void saveModel(String uri, EObject content) throws IOException {
		// create file URI, always use File.getAbsolutePath()
		URI fileUri = URI.createFileURI(new File(uri).getAbsolutePath());
		// load resource
		Resource resource = resourceSet.createResource(fileUri);

		// add root object to resource
		resource.getContents().add(content);
		
		// save resource
		resource.save(Collections.EMPTY_MAP);
	}

}
